
// -- !!!  Rename to Match your Domain: !!!
	var myDomain = "mydomain.org"     ;


//-------------------------------------------

	var RxId  	 = "received-message" ;
	var TxURL 	 = "PulledDomain"     ;	

	window.onload = function () 
	{
		var iframeWin = document.getElementById("AuthFrame").contentWindow 	;
		var		mySID = document.getElementById("SID").innerHTML			;
		var		 form = document.getElementById("tx-Form")					;		
		var	myMessage = document.getElementById("tx-message")				;
			myMessage.select() ;

		// Here we go, we will send an Initialize message to Synch the Session ID's
			var TxSID = "Init"+mySID  	 ;
			iframeWin.postMessage(TxSID) ;
		
		// Add a Respond Action for the Submit Button
		form.onsubmit = function () {
			iframeWin.postMessage(myMessage.value) 				 ;
			document.getElementById(RxId).innerHTML = "Sent... " ;
			return false ;
		} ;
	} ;

	// This may not be necessary but in my experience save the headache, be explicit
	// We will extract the domain only, dropping http, https, and www  you may need
	// to tweak this if you have an odd address e.g. https://mysubdomain.mydomain.org
	function pullDomainName(rawURL)	
	{
		var segment = rawURL.substr(4,1) 	 ;

		if (segment == "s" )
		{ 	var urlDomain = rawURL.substr(8) ;
		}else
		{ 	var urlDomain = rawURL.substr(7) ;
		}	

		segment = urlDomain.substr(3,1)		 ;

		if (segment == "." )
		{ 	urlDomain = urlDomain.substr(4)  ;
		}

		// Return only the domain name e.g. "mydomain.org"
		return urlDomain ;
	}	


	// This is demo code to demonstrate message responses
	function displayMessage (msg) {
		var message = "" ; 
		var msgOrigin =pullDomainName(msg.origin) ;

		// Prevent messaging from outside our host domain.
		if (msgOrigin !== myDomain )  
		{ 	message = msgOrigin ;
		}
		else 
		{ 	message = msg.data;			
            var rxflag = msg.data.substr(0, 4) ;

            switch (rxflag){

            	case "User":
            		var msgUserName = msg.data.substr(4)      ;
	            	message = "User received: " + msgUserName ;
	            	break ;

            	case "Auth":
	            	var msgAuthCode = msg.data.substr(4)  	  ;
	            	message = "Auth received: " + msgAuthCode ;
	            	break ;

	            case "Echo":
	            	var msgText = msg.data.substr(4) ;
	            	message = "received: " + msgText ;
	            	break ;

            	case "Send":
	            	msgArray = msg.data.split("|")   ;
	            		userName = msgArray[1]		 ;
	            		AuthCode = msgArray[3]		 ;
	            	message = "SendAuth" ;
	            	document.getElementById(RxId).innerHTML  = message ;	
	            	location.reload() ;
	            	break ;	

	            default:  

            } // Switch
		}  // msgOrigin

		// OK, time to display our results on the Host Page.
		document.getElementById(RxId).innerHTML  = message ;	
		document.getElementById(TxURL).innerHTML = "msg from: "+pullDomainName(msg.origin) ;	
	}	

	// Start listening for a "postMessage" message from the iframe:
		if (window.addEventListener) 
		{ 	// For standards-compliant web browsers
			window.addEventListener("message",   displayMessage, false) ;
		}else 
		{ 	window.attachEvent(		"onmessage", displayMessage) ; }	
